#
# spec file for package perl-Mail-SPF
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mail-SPF
# tar ball's version number is wrongly generated by Module::Build
%define         real_name Mail-SPF-v2.8.0
Summary:        An object-oriented implementation of Sender Policy Framework
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Version:        2.008
Release:        14.1
Url:            http://search.cpan.org/perldoc?Mail::SPF
Source:         %{real_name}.tar.gz
# disable some tests which fails since Net::DNS 0.68, see
# https://rt.cpan.org/Public/Bug/Display.html?id=78214
Patch0:         skip_test.patch
Patch1:         fix_pod.patch
%if 0%{?suse_version} && 0%{?suse_version} <= 1210
BuildRequires:  perl-macros
%endif
BuildRequires:  perl-Error
BuildRequires:  perl(Mail::SPF::Test)
BuildRequires:  perl(Net::CIDR::Lite)
BuildRequires:  perl(Net::DNS)
BuildRequires:  perl(Net::DNS::Resolver::Programmable)
BuildRequires:  perl(NetAddr::IP)
BuildRequires:  perl(Sys::Hostname::Long)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(URI)
Requires:       perl(Net::CIDR::Lite)
Requires:       perl(Net::DNS)
Requires:       perl(Net::IP)
Requires:       perl(Sys::Hostname::Long)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildArch:      noarch                                                                                                
Requires:       perl(Error)
Requires:       perl(Net::DNS) >= 0.58
Requires:       perl(NetAddr::IP) >= 4
Requires:       perl(URI) >= 1.13

%description
Mail::SPF is an object-oriented implementation of Sender Policy Framework
(SPF). See http://www.openspf.org for more information about SPF.

This class collection aims to fully conform to the SPF specification (RFC 4408)
so as to serve both as a production quality SPF implementation and as a
reference for other developers of SPF implementations.

%prep
%setup -q -n %{real_name}
%patch0 -p1
%patch1 -p1

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*
%perl_process_packlist

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES LICENSE MANIFEST README SIGNATURE TODO
%doc %{_mandir}/man?/*
%{_bindir}/spfquery
%{_sbindir}/spfd
%{perl_vendorlib}/Mail

%changelog
* Wed Jun 26 2013 coolo@suse.com
- add fix_pod.patch to fix pod syntax for perl 5.18
* Wed Mar 27 2013 stefan.jakobs@rus.uni-stuttgart.de
- remove 'BuildRequires: perl-macros' from spec file, because perl
  included in openSUSE > 1210 deprecates perl-macros which causes a
  build failure.
* Fri Sep 21 2012 sweet_f_a@gmx.de
- cleanup spec file style
- build requires Mail::SPF::Test (needed for test suite)
- add skip_test.patch,
  see https://rt.cpan.org/Public/Bug/Display.html?id=78214
* Wed Sep 19 2012 sweet_f_a@gmx.de
- update to 2.008
  Mail::SPF:
  * Sanitize result local_explanation (as well as result object
    string representation) by replacing all non-printable or
    non-ascii characters with their hex-escaped representation
    (e.g., "\x00").
    (Addresses: bugs.launchpad.net #806926)
  Miscellaneous:
  * Change openspf.org URLs to openspf.net because openspf.org is
    unreachable indefinitely.
  * Change <http://www.ietf.org/rfc/….txt> URLs
    to <http://tools.ietf.org/html/…>.
  * META.yml: configure_requires: Module::Build 0.2805
  * META.yml: requires: Net::DNS 0.62 (was: 0.52)
    (Closes: rt.cpan.org #28545)
  * META.yml: Revert to flat version numbers for perl and
    Net::DNS::Resolver:: Programmable build requirements to avoid
    Module::Build::Compat/Makefile.PL incompatibilities.
  (Closes: rt.cpan.org #53231)
  * Attempt to prevent a cascading failure in
    t/00.03-class-result.t that seems to happen under rare,
    unknown circumstances. (Closes: rt.cpan.org #39099)
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Feb  9 2010 coolo@novell.com
- update to 2.007 and fix build
* Sat May 30 2009 lars@linux-schulserver.de
- update to 2.006:
  details: /usr/share/doc/packages/perl-Mail-SPF/CHANGES
- rpmlint fixes
- added Mail-SPF-v2.006-Makefile.patch (use ExtUtils::MakeMaker)
* Sun Jul  9 2006 dmueller@suse.de
- update to 1.999.1 (#190194):
  Lots of small changes, read details here:
  /usr/share/doc/packages/perl-Mail-SPF/CHANGES
* Tue Jan 24 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Sep 18 2005 dmueller@suse.de
- initial package 1.997
